#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int *a=(int*) malloc (n*sizeof(int));
    for (int i=0;i<n;i++) scanf("%d",&a[i]);
    int *p1=(int*) malloc (m*sizeof(int));
    int *p2=(int*) malloc (m*sizeof(int));
    for (int i=0;i<m;i++) scanf("%d%d",&p1[i],&p2[i]);
    long long z=0;
    for (int i=0;i<m;i++) z=z+abs(a[p1[i]]+a[p2[i]]);
    printf("%lld",z);
    return 0;
}